# Uses of Class
org.eclipse.text.edits.MoveTargetEdit

Packages that use MoveTargetEdit
Package
Description
org.eclipse.text.edits
Provides support for describing and applying textual document editions.

## Uses of MoveTargetEdit in org.eclipse.text.edits

Methods in org.eclipse.text.edits that return MoveTargetEdit
Modifier and Type
Method
Description
`MoveTargetEdit`
MoveSourceEdit.`getTargetEdit()`
Returns the associated target edit or `null` if no target edit is associated yet.
Methods in org.eclipse.text.edits with parameters of type MoveTargetEdit
Modifier and Type
Method
Description
`void`
MoveSourceEdit.`setTargetEdit(MoveTargetEdit edit)`
Sets the target edit.
`boolean`
TextEditVisitor.`visit(MoveTargetEdit edit)`
Visits a `MoveTargetEdit` instance.
Constructors in org.eclipse.text.edits with parameters of type MoveTargetEdit
Modifier
Constructor
Description
``
`MoveSourceEdit(int offset, int length, MoveTargetEdit target)`
Constructs a new copy source edit.